package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * LocationAndIspInfoOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class LocationAndIspInfoOpenApiVo   {
  @JsonProperty("locationAndIsp")
  @Valid
  private List<LocationOpenApiVo> locationAndIsp = null;

  public LocationAndIspInfoOpenApiVo locationAndIsp(List<LocationOpenApiVo> locationAndIsp) {
    this.locationAndIsp = locationAndIsp;
    return this;
  }

  public LocationAndIspInfoOpenApiVo addLocationAndIspItem(LocationOpenApiVo locationAndIspItem) {
    if (this.locationAndIsp == null) {
      this.locationAndIsp = new ArrayList<>();
    }
    this.locationAndIsp.add(locationAndIspItem);
    return this;
  }

  /**
   * Location and ISP info, including index and name.
   * @return locationAndIsp
  */
  @ApiModelProperty(value = "Location and ISP info, including index and name.")

  @Valid

  public List<LocationOpenApiVo> getLocationAndIsp() {
    return locationAndIsp;
  }

  public void setLocationAndIsp(List<LocationOpenApiVo> locationAndIsp) {
    this.locationAndIsp = locationAndIsp;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LocationAndIspInfoOpenApiVo locationAndIspInfoOpenApiVo = (LocationAndIspInfoOpenApiVo) o;
    return Objects.equals(this.locationAndIsp, locationAndIspInfoOpenApiVo.locationAndIsp);
  }

  @Override
  public int hashCode() {
    return Objects.hash(locationAndIsp);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LocationAndIspInfoOpenApiVo {\n");
    
    sb.append("    locationAndIsp: ").append(toIndentedString(locationAndIsp)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

